# Class IntAparapiNTTBuilder

java.lang.Object
org.apfloat.internal.AbstractNTTBuilder
org.apfloat.internal.IntNTTBuilder
org.apfloat.aparapi.IntAparapiNTTBuilder

All Implemented Interfaces:
  `NTTBuilder`

public class IntAparapiNTTBuilder extends IntNTTBuilder
NTT Builder for aparapi transform implementations for the `int` element type.

Since:
  1.8.3
Version:
  1.15.0
Author:
  Mikko Tommila

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IntAparapiNTTBuilder(boolean rowOrientation)`
  Basic constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected NTTStrategy`
  `createFactor3NTTStrategy(long size, NTTStrategy nttStrategy)`
  Create a factor-3 NTT strategy on top of another NTT strategy.
  `protected NTTStrategy`
  `createSixStepFNTStrategy(long size)`
  Create a six-step NTT strategy.
  `protected NTTStrategy`
  `createTwoPassFNTStrategy(long size)`
  Create a two-pass NTT strategy.

  ### Methods inherited from class IntNTTBuilder

  `createFactor3NTTSteps, createNTTConvolutionSteps, createNTTSteps, createSimpleFNTStrategy`

  ### Methods inherited from class AbstractNTTBuilder

  `createNTT`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IntAparapiNTTBuilder

    public IntAparapiNTTBuilder(boolean rowOrientation)
    Basic constructor.
    Parameters:
      `rowOrientation` - If the data is using row orientation.

- ## Method Details

  - ### createSixStepFNTStrategy

    protected NTTStrategy createSixStepFNTStrategy(long size)
    Description copied from class: `AbstractNTTBuilder`
    Create a six-step NTT strategy.
    Overrides:
      `createSixStepFNTStrategy` in class `AbstractNTTBuilder`
    Parameters:
      `size` - The transform length that will be used.
    Returns:
      A new six-step NTT strategy.

  - ### createTwoPassFNTStrategy

    protected NTTStrategy createTwoPassFNTStrategy(long size)
    Description copied from class: `AbstractNTTBuilder`
    Create a two-pass NTT strategy.
    Overrides:
      `createTwoPassFNTStrategy` in class `AbstractNTTBuilder`
    Parameters:
      `size` - The transform length that will be used.
    Returns:
      A new two-pass NTT strategy.

  - ### createFactor3NTTStrategy

    protected NTTStrategy createFactor3NTTStrategy(long size, NTTStrategy nttStrategy)
    Description copied from class: `AbstractNTTBuilder`
    Create a factor-3 NTT strategy on top of another NTT strategy.
    Overrides:
      `createFactor3NTTStrategy` in class `AbstractNTTBuilder`
    Parameters:
      `size` - The transform length that will be used.
      `nttStrategy` - The underlying factor-2 NTT strategy.
    Returns:
      A new factor-3 NTT strategy.